Template Numerical Library: TNL::Functions::experimental::VectorFieldEvaluator< OutVectorField, InVectorField > Class Template Reference

Template Numerical Library version\ main:c7077e4fd

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Protected Types | Static Protected Member Functions | List of all members
TNL::Functions::experimental::VectorFieldEvaluator< OutVectorField, InVectorField > Class Template Reference

## Public Types
typedef MeshType::DeviceType | DeviceType
typedef OutVectorField::MeshType | MeshType
typedef OutVectorField::RealType | RealType
typedef VectorFieldEvaluatorTraverserUserData< OutVectorField, InVectorField, RealType > | TraverserUserData

## Static Public Member Functions
template<typename OutVectorFieldPointer, typename InVectorFieldPointer>
static void | evaluate (OutVectorFieldPointer &meshFunction, const InVectorFieldPointer &function, const RealType &time=0.0, const RealType &outFunctionMultiplicator=0.0, const RealType &inFunctionMultiplicator=1.0)
template<typename OutVectorFieldPointer, typename InVectorFieldPointer>
static void | evaluateAllEntities (OutVectorFieldPointer &meshFunction, const InVectorFieldPointer &function, const RealType &time=0.0, const RealType &outFunctionMultiplicator=0.0, const RealType &inFunctionMultiplicator=1.0)
template<typename OutVectorFieldPointer, typename InVectorFieldPointer>
static void | evaluateBoundaryEntities (OutVectorFieldPointer &meshFunction, const InVectorFieldPointer &function, const RealType &time=0.0, const RealType &outFunctionMultiplicator=0.0, const RealType &inFunctionMultiplicator=1.0)
template<typename OutVectorFieldPointer, typename InVectorFieldPointer>
static void | evaluateInteriorEntities (OutVectorFieldPointer &meshFunction, const InVectorFieldPointer &function, const RealType &time=0.0, const RealType &outFunctionMultiplicator=0.0, const RealType &inFunctionMultiplicator=1.0)

## Protected Types
enum | EntitiesType { all , boundary , interior }

## Static Protected Member Functions
template<typename OutVectorFieldPointer, typename InVectorFieldPointer>
static void | evaluateEntities (OutVectorFieldPointer &meshFunction, const InVectorFieldPointer &function, const RealType &time, const RealType &outFunctionMultiplicator, const RealType &inFunctionMultiplicator, EntitiesType entitiesType)

The documentation for this class was generated from the following files:

- src/TNL/Functions/experimental/VectorFieldEvaluator.h
- src/TNL/Functions/experimental/VectorFieldEvaluator_impl.h